Overview
The updateMeetingTitle mutation allows for updating the title of a meeting transcript. This operation requires admin privileges within the team.
Arguments
input
UpdateMeetingTitleInput
required
The new title to be assigned to the meeting / transcript.
Usage Example
To update a meeting title, provide the transcript ID and the new title as arguments to the mutation. Here’s an example of how this mutation could be used:
mutation UpdateMeetingTitle ( $input : UpdateMeetingTitleInput ! ) {
updateMeetingTitle ( input : $input ) {
title
}
}
curl -X POST https://api.fireflies.ai/graphql \
-H "Content-Type: application/json" \
-H "Authorization: Bearer your_api_key" \
-d '{
"query": "mutation($input: UpdateMeetingTitleInput!) { updateMeetingTitle(input: $input) { title } }",
"variables": {
"input": {
"id": "your_transcript_id",
"title": "New Title"
}
}
}'
const axios = require ( 'axios' );
const url = 'https://api.fireflies.ai/graphql' ;
const headers = {
'Content-Type' : 'application/json' ,
'Authorization' : 'Bearer your_api_key'
};
const data = {
query: `
mutation($input: UpdateMeetingTitleInput!) {
updateMeetingTitle(input: $input) {
title
}
}
` ,
variables: {
input: {
id: 'your_transcript_id' ,
title: 'New Title'
}
}
};
const response = await axios . post ( url , data , { headers });
console . log ( response . data );
import requests
url = 'https://api.fireflies.ai/graphql'
headers = {
'Content-Type' : 'application/json' ,
'Authorization' : 'Bearer your_api_key'
}
data = {
'query' : `
mutation( $ input : UpdateMeetingTitleInput!) {
updateMeetingTitle( input : $ input ) {
title
}
}
`,
'variables' : {
'input' : {
'id' : 'your_transcript_id' ,
'title' : 'New Title'
}
}
}
response = requests.post(url, json = data, headers = headers)
print (response.json())
import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpRequest.BodyPublishers;
import java.net.http.HttpResponse.BodyHandlers;
public class UpdateMeetingTitleExample {
public static void main ( String [] args ) throws IOException , InterruptedException {
HttpClient client = HttpClient . newHttpClient ();
String json = "{"
+ " \" query \" : \" mutation($input: UpdateMeetingTitleInput!) { updateMeetingTitle(input: $input) { title } } \" ,"
+ " \" variables \" :{"
+ " \" input \" :{"
+ " \" id \" : \" your_transcript_id \" ,"
+ " \" title \" : \" New Title \" "
+ "}"
+ "}"
+ "}" ;
HttpRequest request = HttpRequest . newBuilder ()
. uri ( URI . create ( "https://api.fireflies.ai/graphql" ))
. header ( "Content-Type" , "application/json" )
. header ( "Authorization" , "Bearer your_api_key" )
. POST ( BodyPublishers . ofString (json))
. build ();
client . sendAsync (request, HttpResponse . BodyHandlers . ofString ())
. thenApply (HttpResponse :: body)
. thenAccept ( System . out :: println)
. join ();
}
}
{
"data" : {
"updateMeetingTitle" : {
"title" : "New Title"
}
}
}
FAQ
Who has permission to update meeting titles?
Only users with admin privileges can update meeting titles. The meeting owner also needs to be in your team.
Error Codes
List of possible error codes that may be returned by the updateMeetingTitle mutation. Full list of error codes can be found here .
require_elevated_privilege
The user does not have admin privileges to update meeting titles.
object_not_found (transcript)
The specified transcript could not be found or you do not have access to it
Additional Resources
Transcript Querying transcript details
Update Meeting Privacy Update meeting privacy